### Navigation

- index
- modules |
- next |
- previous |
- IPython v0.10 documentation »
- The IPython API »

# kernel.core.macro

## Module: `kernel.core.macro`

Inheritance diagram for `IPython.kernel.core.macro`:

Support for interactive macros in IPython

## `Macro`

class `IPython.kernel.core.macro.``Macro`(data)

  Simple class to store the value of macros as strings.

  This allows us to later exec them by checking when something is an instance of this class.

  `__init__`(data)

### Navigation

- index
- modules |
- next |
- previous |
- IPython v0.10 documentation »
- The IPython API »